Page MenuHomePhabricator

Ensure labswiki and labtestwiki are up to date with MW schema changes
Closed, ResolvedPublic

Description

Forked from T200139: Report of exception while moving pages on wikitech

Can we make sure all recent schema changes have been applied to labswiki, and that all other requested (noting both are in all.dblist) schema changes are made in future?

Related Objects

Mentioned In
T202904: advisorswiki is not in any s?.dblist
T192926: Schema change to drop archive.ar_text and archive.ar_flags
T160415: Review schema changes for T125071 - Add index to image table on all wikis
T191316: Schema change to make archive.ar_rev_id NOT NULL
T191519: Schema change for rc_namespace_title_timestamp index
T190148: Change DEFAULT 0 for rev_text_id on production DBs
T197891: Schema change to drop default from externallinks.el_index_60
Mentioned Here
T155605: Schema changes for expiring user groups
T160415: Review schema changes for T125071 - Add index to image table on all wikis
T168661: Apply schema change to add 3D filetype for STL files
T174569: Schema change for refactored comment storage
T177601: Deploy dropping wb_entity_per_page table
T188299: Schema change for refactored actor storage
T190148: Change DEFAULT 0 for rev_text_id on production DBs
T190780: Schema changes to site_stats
T191519: Schema change for rc_namespace_title_timestamp index
T89737: Make several mediawiki table fields unsigned ints on wmf databases
T146591: Add a primary key to l10n_cache
T153182: Perform schema change to add externallinks.el_index_60 to all wikis
T185128: Schema change to prepare for dropping archive.ar_text and archive.ar_flags
T187089: Fix WMF schemas to not break when comment store goes WRITE_NEW
T191316: Schema change to make archive.ar_rev_id NOT NULL
T192926: Schema change to drop archive.ar_text and archive.ar_flags
T195193: Schema change for ct_tag_id field to change_tag
T196379: Schema change: Add unique index on archive.ar_rev_id
T197891: Schema change to drop default from externallinks.el_index_60
T200139: Report of exception while moving pages on wikitech

Event Timeline

Reedy created this task.Jul 21 2018, 10:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 21 2018, 10:31 PM
Marostegui added a subscriber: Marostegui.

I will check it

Marostegui added a comment.EditedJul 22 2018, 6:09 AM

List of recent schema changes to review and apply if needed:
T191316 (done - 23rd July 2018)
T192926 (done - 23rd July 2018)
T185128 (done - 23rd July 2018)
T187089 (done - 24th July 2018)
T153182 (already done)
T146591 (done - 23rd July 2018)
T197891 (done - 23rd July 2018)
T196379 (done - 23rd July 2018)
T89737 (done - 24th July 2018)
T188299 (done - 24th July 2018)
T177601 (already done)
T160415 (done - 23rd July 2018)
T155605 (already done)
T168661 (already done)
T191519 (done - 23rd July 2018)
T174569 (already done)
T190148 (done - 23rd July 2018)
T190780 (already done)
T195193 (done 22nd July 2018)

Marostegui moved this task from Triage to In progress on the DBA board.Jul 22 2018, 6:24 AM
Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-07-23T08:04:03Z] <marostegui> Apply schema change  T197891 to labswiki and labstestwiki T200140

Mentioned in SAL (#wikimedia-operations) [2018-07-23T08:05:22Z] <marostegui> Apply schema change  T190148 to labswiki and labstestwiki T200140

Mentioned in SAL (#wikimedia-operations) [2018-07-23T08:07:54Z] <marostegui> Apply schema change  T191519 to labswiki and labstestwiki T200140

Mentioned in SAL (#wikimedia-operations) [2018-07-23T08:11:54Z] <marostegui> Apply schema change  T191316 to labswiki and labstestwiki T200140

Marostegui closed this task as Resolved.EditedJul 24 2018, 5:54 AM

I am going to close this as resolved as I have applied most of the recent/major schema changes we have done lately - T200140#4443572
It was a bit of a mess as some changes were in labswiki but not in labstestwiki and the other way around, right now it is all consistent for all those recent schema changes. I have also included it on the ones that are in progress now.

If other pending ones are found, please feel free to reopen this task and I will get them done.